TICKIT_PEN_IS_NONEMPTY(3)

NAME
tickit_pen_is_nonempty, tickit_pen_is_nondefault - test if a pen has attributes defined

SYNOPSIS
    #include <tickit.h>

    bool tickit_pen_is_nonempty(TickitPen *pen);
    bool tickit_pen_is_nondefault(TickitPen *pen);

Link with -ltickit.

DESCRIPTION
tickit_pen_is_nonempty() tests whether a pen instance has any attribute defined on it. It returns true even if those attributes take default values.

tickit_pen_is_nondefault() tests whether a pen instance has any attribute with non-default values defined on it. It false if the pen has no defined attributes, or all of the defined attributes take only the default value for their type.

RETURN VALUE
tickit_pen_is_nonempty() and tickit_pen_is_nondefault() return a boolean.

SEE ALSO
tickit_pen_new(3), tickit_pen_set_bool_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear(3), tickit_pen(7), tickit(7)